## fglrx-pxpress 0.4

=== debian/changelog ===
fglrx-pxpress (0.4) saucy; urgency=low

  * debian/postinst.in:
    - Make sure to support more pci device classes as per
      the pci.ids file (LP: #1207626).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Aug 2013 11:55:20 +0200

fglrx-pxpress (0.3) saucy; urgency=low

  * debian/control:
    - Conflict/replace/provide the hybrid-graphics virtual
      package.
  * Make sure to start X instead of XMir or hybrid graphics
    won't work, at least for now.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 05 Jul 2013 10:17:31 +0200

fglrx-pxpress (0.2) saucy; urgency=low

  * debian/postinst.in:
    - Add the "PCI" bit in the busid option.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 27 Jun 2013 14:33:45 +0200

fglrx-pxpress (0.1) saucy; urgency=low

  * Initial Release.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 24 Jun 2013 15:48:56 +0200
