=== debian/control ===
Source: fglrx-pxpress
Section: admin
Priority: optional
Maintainer: Alberto Milone <alberto.milone@canonical.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Vcs-Git: git://github.com/tseliot/fglrx-pxpress.git
Vcs-Browser: http://github.com/tseliot/fglrx-pxpress

Package: fglrx-pxpress
Architecture: all
Depends: pciutils, ${shlibs:Depends}, ${misc:Depends}
Conflicts: hybrid-graphics
Replaces: hybrid-graphics
Provides: hybrid-graphics
Description: Tools to enable AMD's PowerXpress
 This is a set of tools which will enable
 AMD's PowerXpress on MUXless systems.
