## fglrx-pxpress 0.6~hybrid0.0.2

=== debian/changelog ===
fglrx-pxpress (0.6~hybrid0.0.2) precise-proposed; urgency=low

  * debian/amd-config.conf:
    - Convert to a task job, as this is just a short
      lived job.
  * amd-xconfig{.in}:
    - Fix laptop detection. This was causing the job to
      get stuck in an endless loop (LP: #1277058).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Feb 2014 14:09:34 +0100

fglrx-pxpress (0.6~hybrid0.0.1) precise-proposed; urgency=low

  * debian/control:
    - Build only for i386 and amd64.
  * debian/amd-config.conf:
    - Add upstart job to deal with configuration changes.
    - Add support for AMD+AMD configurations (LP: #1272311).
  * debian/postinst.in:
    - Deal with hexadecimal numbers properly.
    - Do not change anything if detection fails. It is
      possible to override laptop detection by creating an
      empty file in /etc/force-pxpress.
  * debian/postrm.in:
    - Remove /etc/last_boot_gfx on package removal.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 24 Jan 2014 17:22:42 +0100

fglrx-pxpress (0.3~hybrid0.0.1) precise; urgency=low

  * Initial release (LP: #1198942).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 23 Jul 2013 15:20:46 +0200
