=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Browser: http://github.com/tseliot/fglrx-pxpress
 
 Package: fglrx-pxpress
-Architecture: all
+Architecture: i386 amd64
 Depends: pciutils, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: hybrid-graphics
 Replaces: hybrid-graphics
