=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 PKG_name = $(shell dh_listpackages)
 TMP     = $(CURDIR)/debian/tmp
@@ -19,6 +19,12 @@
 PKG_lightdm_config_dir_d := $(PKG_lightdm_config_dir)/lightdm.conf.d
 PKG_lightdm_config_file_d := $(PKG_lightdm_config_dir_d)/$(PKG_lightdm_config_filename_d)
 
+HOST_ARCH_MAIN ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# If the host is i386 set OTHER_ARCH to x86_64 and vice versa
+HOST_ARCH_OTHER := $(shell (echo "$(HOST_ARCH_MAIN)" | grep i386 >/dev/null) && \
+		echo "$(HOST_ARCH_MAIN)" | sed s/i386/x86_64/ || \
+		echo "$(HOST_ARCH_MAIN)" | sed s/x86_64/i386/)
+
 %:
 	dh $@
 
@@ -26,16 +32,19 @@
 regen-from-templates:
 	for i in $(CURDIR)/debian/install \
 		 $(CURDIR)/debian/postinst \
-		 $(CURDIR)/debian/postrm; do \
+		 $(CURDIR)/debian/postrm \
+		 $(CURDIR)/amd-xconfig; do \
 		sed -e 's|#XORG_CONF#|$(XORG_CONF)|g' \
 			-e 's|#PKGNAME#|$(PKG_name)|g' \
 			-e "s|#LIGHTDM_CONF_FILE_D#|$(PKG_lightdm_config_file_d)|g" \
 			-e "s|#LIGHTDM_CONF_DIR_D#|$(PKG_lightdm_config_dir_d)|g" \
 			-e "s|#LIGHTDM_CONF_FILENAME_D#|$(PKG_lightdm_config_filename_d)|g" \
+			-e "s|#HOST_ARCH_MAIN#|$(HOST_ARCH_MAIN)|g" \
+			-e "s|#HOST_ARCH_OTHER#|$(HOST_ARCH_OTHER)|g" \
 		$$i.in > $$i; \
 	done
 
-override_dh_auto_clean:
+override_dh_auto_clean: regen-from-templates
 	for i in $(CURDIR)/debian/install \
 		 $(CURDIR)/debian/postinst \
 		 $(CURDIR)/debian/postrm; do \
@@ -43,3 +52,6 @@
 	done
 
 override_dh_auto_install: regen-from-templates
+
+override_dh_installinit:
+	dh_installinit --onlyscripts
